Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Core.NameAndSizeFilter Class Reference

NameAndSizeFilter filters based on name and file size. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Core.NameAndSizeFilter:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Core.NameAndSizeFilter:
[legend]

## Public Member Functions
| NameAndSizeFilter (string filter, long minSize, long maxSize)
| Initialise a new instance of NameAndSizeFilter.
override bool | IsMatch (string name)
| Test a filename to see if it matches the filter.
Public Member Functions inherited from ICSharpCode.SharpZipLib.Core.PathFilter
| PathFilter (string filter)
| Initialise a new instance of PathFilter.

## Properties
long | MinSize`[get, set]`
| Get/set the minimum size for a file that will match this filter.
long | MaxSize`[get, set]`
| Get/set the maximum size for a file that will match this filter.

## Private Attributes
long | minSize_
long | maxSize_ = long.MaxValue

## Detailed Description

NameAndSizeFilter filters based on name and file size.

A sample showing how filters might be extended.

## Constructor & Destructor Documentation

## ◆ NameAndSizeFilter()

ICSharpCode.SharpZipLib.Core.NameAndSizeFilter.NameAndSizeFilter | ( | string | filter,
|  | long | minSize,
|  | long | maxSize )

Initialise a new instance of NameAndSizeFilter.

Parameters

  filter | The filter to apply.
  minSize | The minimum file size to include.
  maxSize | The maximum file size to include.

## Member Function Documentation

## ◆ IsMatch()

override bool ICSharpCode.SharpZipLib.Core.NameAndSizeFilter.IsMatch | ( | string | name | ) |
| virtual

Test a filename to see if it matches the filter.

Parameters

  name | The filename to test.

Returns
  True if the filter matches, false otherwise.

Reimplemented from ICSharpCode.SharpZipLib.Core.PathFilter.

## Member Data Documentation

## ◆ maxSize_

long ICSharpCode.SharpZipLib.Core.NameAndSizeFilter.maxSize_ = long.MaxValue
| private

## ◆ minSize_

long ICSharpCode.SharpZipLib.Core.NameAndSizeFilter.minSize_
| private

## Property Documentation

## ◆ MaxSize

long ICSharpCode.SharpZipLib.Core.NameAndSizeFilter.MaxSize
| get set

Get/set the maximum size for a file that will match this filter.

## ◆ MinSize

long ICSharpCode.SharpZipLib.Core.NameAndSizeFilter.MinSize
| get set

Get/set the minimum size for a file that will match this filter.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Core/PathFilter.cs